let nixpkgs = <nixpkgs>;
in
{
  pkgs ? import nixpkgs {}
, pythonPackageName ? "python3"
, python ? pkgs.${pythonPackageName}}:

rec {
  pythonDependencies = (python.withPackages
  (ps: [
    ps.pytest
    ps.pytest_xdist
    ps.pytest-mock
    ps.pytestcov
    ps.hypothesis
  ]));

  shell = pkgs.mkShell {
    buildInputs = with pkgs; [
      pythonDependencies
    ];
  };
}

